
Redmine - Defect #3767

sorting issues list by target version doesn't work

2009-08-21 14:32 - armin walland

Status: Closed Start date: 2009-08-21

Priority: Normal Due date:  

Assignee: Mischa The Evil % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.8.4

Description

hi!

i think there is a problem with the column sorter for "Target Version" in the issues list. clicking on the sorter adds an up/down arrow to

the column header but the contents are not sorted. see the two attached screenshots.

thanks a lot for your great work :)

Related issues:

Is duplicate of Redmine - Defect #1502: Target Version does not sort Closed 2008-06-19

History

#1 - 2009-08-24 03:34 - Gary Friedman

I'm guessing this is because target version sorts by the version's assigned date, and not by name which you might have expected.

#2 - 2009-08-24 15:23 - armin walland

- Status changed from New to Resolved

- % Done changed from 0 to 100

On Monday 24 August 2009 03:34:07 you wrote:

I'm guessing this is because target version sorts by the version's assigned

date, and not by name which you might have expected.

 ah you're right! we didn't enter any dates for our versions because we do not

know yet, when the deadlines should be. after entering dates for them the

sorting works fine.

thanks for your reply!

--

best rgds, armin walland

#3 - 2009-08-24 21:38 - Mischa The Evil

- Category changed from Issues to Documentation

- Assignee set to Mischa The Evil

- % Done changed from 100 to 0

I'll document this better in the Redmine Guide.

#4 - 2009-08-26 08:15 - Ewan Makepeace

I requested that targetversions be sorted by date, name (so that versions with no date will at least sort alphabetically) in #1502.

Jean-Phillipe reported this implemented in #2352

I have not tested (Redmine has trained me to always put in dates now) but that should have fixed this issue?

#5 - 2009-08-26 22:24 - Mischa The Evil
https://www.redmine.org/issues/2352


Ewan Makepeace wrote:

I requested that targetversions be sorted by date, name (so that versions with no date will at least sort alphabetically) in #1502.

Jean-Phillipe reported this implemented in #2352

I have not tested (Redmine has trained me to always put in dates now) but that should have fixed this issue?

 Ahh, didn't noticed it. Thanks for providing the additional info. It is indeed implemented in current trunk (to become 0.9.0).

Btw: obviously you meant to say it is implemented in r2352 for issue #1502 :)

Kind regards,

Mischa.

#6 - 2009-11-11 20:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Duplicate
